Bug 260655 - « f » command and key remapping
Summary: « f » command and key remapping
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Applications
Component: Vi Input Mode (show other bugs)
Version: unspecified
Platform: Archlinux Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-18 21:35 UTC by contact
Modified: 2010-12-28 14:09 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contact 2010-12-18 21:35:52 UTC
Version:           unspecified (using KDE 4.5.4) 
OS:                Linux

Hi,
I use Vi Input Mode, with completely remapped keys. When i use the f key to search forward, i don't have the excepted behavior :
For example if we suppose my « d » key is remapped to « i », and my « a » to « f » in normal mode :
I type « ad » (i want to go to the next d in the text), it will correctly remap the « a » to « f », but it will also remap the d, and search for the i.

Thanks in advance.

Reproducible: Always
Comment 1 Erlend Hamberg 2010-12-20 03:25:52 UTC
thanks for your report. i can confirm this erroneous behaviour. i'll have a look at it. :-)
Comment 2 contact 2010-12-20 23:17:42 UTC
Ok, thanks :)
Comment 3 Erlend Hamberg 2010-12-21 01:21:08 UTC
fixed in git now. it will probably not be a part of the first 4.6 release, but future released will be fixed. again, thanks for reporting this. :-)
Comment 4 Christoph Cullmann 2010-12-28 14:09:56 UTC
SVN commit 1209886 by cullmann:

ehamberg:
    don’t translate keypresses after ‘f’ and similar commands
    
BUG:260655



 M  +10 -1     katevinormalmode.cpp  
 M  +2 -0      katevinormalmode.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1209886